# KeyPath Extension Reference

# KeyPath

    class KeyPath<Root, Value> : PartialKeyPath<Root>

- `ObjectType`

  #### Declaration

  Swift

      public typealias ObjectType = Root

- `ValueType`

  #### Declaration

  Swift

      public typealias ValueType = Value

- `cs_keyPathString`

  #### Declaration

  Swift

      public var cs_keyPathString: String { get }

- `count()`

  Creates a `Where.Expression` clause for COUNT

      let dogsWithPlaymates = CoreStore.fetchAll(From<Dog>().where((\.master ~ \.pets).count() > 1))

  #### Declaration

  Swift

      public func count() -> Where<Root>.Expression<Where<Root>.CollectionTarget, Int>

- `count()`

  Creates a `Where.Expression` clause for COUNT

      let dogsWithPlaymates = CoreStore.fetchAll(From<Dog>().where((\.master ~ \.pets).count() > 1))

  #### Declaration

  Swift

      public func count() -> Where<Root>.Expression<Where<Root>.CollectionTarget, Int>